<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/adm_check.php';
include_once '../sys/inc/user.php';
user_access('adm_set_sys',null,'index.php?'.SID);
adm_check();

$set['title']='Рассылка сообщений';
include_once '../sys/inc/thead.php';
title();

if (isset($_POST['otp']) && isset($_POST['msg']))
{
$count = 0;
$msg=$_POST['msg'];
if (isset($_POST['translit']) && $_POST['translit']==1)$msg=translit($msg);
if (strlen2($msg)>1024)$err='Сообщение превышает 1024 символа';
if (strlen2($msg)<2)$err='Слишком короткое сообщение';
if (!isset($err))
{

if ($_POST['pol']==0)$pol = " ";
elseif ($_POST['pol']==1)$pol = "AND `pol` = '1' ";
elseif ($_POST['pol']==2)$pol = "AND `pol` = '0' ";


if ($_POST['komu']==0)$s=mysql_query("SELECT `id`,`pol` FROM `user` WHERE `id` != $user[id] $pol");
elseif ($_POST['komu']==1)$s=mysql_query("SELECT `id`,`level`,`pol` FROM `user` WHERE `id` != '$user[id]' AND `level` >= '1' $pol");
elseif ($_POST['komu']==2)$s=mysql_query("SELECT `id`,`level`,`pol` FROM `user` WHERE `id` != '$user[id]' AND `level` = '0' $pol");


$ot_kogo = 2;///// Айди юсера или бота от которого будет приходить сообщение
$msg=mysql_real_escape_string($msg);
while ($uzer = mysql_fetch_array($s))
{
$count++;
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `konts` WHERE `id_user` = '$uzer[id]' AND `id_kont` = '$ot_kogo'"), 0)==0)
{mysql_query("INSERT INTO `konts` (`id_kont`, `id_user`, `time`) values('$ot_kogo', '$uzer[id]', '$time')");}

mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('$ot_kogo', '$uzer[id]', '$msg', '$time')");
mysql_query("UPDATE `konts` SET `time` = '$time' WHERE `id_user` = '$uzer[id]' AND `id_kont` = '$ot_kogo' ");

}
if ($count==0)
{
if ($_POST['pol']==0)$p = " ";
elseif ($_POST['pol']==1)$p = " мужскаго пола ";
elseif ($_POST['pol']==2)$p = " женского пола ";
if ($_POST['komu']==0) $st = " ";
elseif ($_POST['komu']==1)$st = " администрации ";
elseif ($_POST['komu']==2)$st = " пользователей ";

echo "<div class='err'>Нету людей с $st $p кому предназначена рассылка</div>";
}else msg('Сообщения успешно отправлены');



}



}
err();
aut();


$count=mysql_result(mysql_query("SELECT COUNT(*) FROM `user`"),0);
echo'Всего пользователей: <b>'.$count.'</b><br/>';
echo "<form method=\"post\" action=\"?\">\n";
echo "Сообщение:<br />\n<textarea name=\"msg\"></textarea><br />\n";
if ($user['set_translit']==1)echo "<input type=\"checkbox\" name=\"translit\" value=\"1\" /> Транслит<br />\n";
echo "Кому отправлять:<br />\n<select name=\"komu\">\n";
echo "<option value=\"0\">Всем</option>\n";
echo "<option value=\"1\">Только администрации</option>\n";
echo "<option value=\"2\">Только пользователям</option>\n";
echo "</select>\n";
echo "Пол: <br />\n<select name=\"pol\">\n";
echo "<option value=\"0\">Всем</option>\n";
echo "<option value=\"1\">Муж.</option>\n";
echo "<option value=\"2\">Жен.</option>\n";
echo "</select><br />\n";

echo "<input value=\"Отправить\" name='otp' type=\"submit\" />\n";
echo "</form>\n";








echo "<div class='foot'>\n";
echo "&laquo;<a href='/adm_panel/'>В админку</a><br />\n";
echo "</div>\n";

include_once '../sys/inc/tfoot.php';
?>
